Subject: bug#11127: 24.0.94; [PATCH] Tutorial breaks with modified key bindings

From: Glenn Morris <[email-masked]>
Date: Thu, 29 Mar 2012 16:17:40 -0400

"Aaron S. Hawley" wrote:

>         * tutorial.el (help-with-tutorial, tutorial--display-changes): If
>         user has modified default key bindings then Emacs complains
>         "Buffer is read-only: #<buffer TUTORIAL>" rather than adding the
>         notice about "the most important standard Emacs commands".

I cannot reproduce this with the current trunk. I did:

emacs -Q
(global-set-key [?\C-f] 'ignore)
C-h t

The tutorial opens just fine:

    Emacs tutorial.  See end for copying conditions.

    NOTICE: The main purpose of the Emacs tutorial is to teach you
    the most important standard Emacs commands (key bindings).
    However, your Emacs has been customized by changing some of
    these basic editing commands, so it doesn't correspond to the
    tutorial.  We have inserted colored notices where the altered
    commands have been introduced. [More]

Why is your tutorial read-only?